> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/node.md).

# Node

## GET /node

> List all nodes

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node":{"get":{"operationId":"findAll_4","responses":{"default":{"content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/NodeModel"}}}},"description":"default response"}},"summary":"List all nodes","tags":["node"]}}},"components":{"schemas":{"NodeModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"hostName":{"type":"string"},"id":{"type":"string","format":"uuid"},"managedServiceIdSet":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"port":{"type":"integer","format":"int32"}}}}}}
```

## POST /node

> Add a node

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node":{"post":{"operationId":"add_1","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeModel"}}},"description":"The model of the node to add"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeModel"}}},"description":"default response"}},"summary":"Add a node","tags":["node"]}}},"components":{"schemas":{"NodeModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"hostName":{"type":"string"},"id":{"type":"string","format":"uuid"},"managedServiceIdSet":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"port":{"type":"integer","format":"int32"}}}}}}
```

## GET /node/{nodeId}

> Get a node by ID

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node/{nodeId}":{"get":{"operationId":"getById_6","parameters":[{"description":"The ID of the target node","in":"path","name":"nodeId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeModel"}}},"description":"default response"}},"summary":"Get a node by ID","tags":["node"]}}},"components":{"schemas":{"NodeModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"hostName":{"type":"string"},"id":{"type":"string","format":"uuid"},"managedServiceIdSet":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"port":{"type":"integer","format":"int32"}}}}}}
```

## PUT /node/{nodeId}

> Change an existing node

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node/{nodeId}":{"put":{"operationId":"change_2","parameters":[{"description":"The ID of the target node","in":"path","name":"nodeId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeModel"}}},"description":"The new model for the node to change"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/NodeModel"}}},"description":"default response"}},"summary":"Change an existing node","tags":["node"]}}},"components":{"schemas":{"NodeModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"hostName":{"type":"string"},"id":{"type":"string","format":"uuid"},"managedServiceIdSet":{"type":"array","items":{"type":"string","format":"uuid"},"uniqueItems":true},"modifiedDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"port":{"type":"integer","format":"int32"}}}}}}
```

## DELETE /node/{nodeId}

> Remove a node

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node/{nodeId}":{"delete":{"operationId":"remove_3","parameters":[{"description":"The ID of the target node","in":"path","name":"nodeId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"successful operation"}},"summary":"Remove a node","tags":["node"]}}}}
```

## GET /node/{nodeId}/status

> Get the status of a node

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/node/{nodeId}/status":{"get":{"operationId":"status","parameters":[{"description":"The ID of the target node","in":"path","name":"nodeId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"default":{"content":{"application/json":{"schema":{"type":"string","enum":["UP","UNREACHABLE"]}}},"description":"default response"}},"summary":"Get the status of a node","tags":["node"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://developer.collibra.com/api/references/console/node.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
